> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/reference/tables/exporting-tables.md).

# Exporting tables

Redivis is not a closed ecosystem. Its foundation is based on open APIs and standards, and is designed to work and integrate with the wide variety of open source and proprietary analytical toolkits used by the research community.

Redivis supports [data downloads in numerous formats](/reference/tables/exporting-tables/download.md), allowing you to quickly load a table into the software of your choice. Moreover, its [integrations](/reference/tables/exporting-tables/google-data-studio.md), [Python and R client libraries,](/reference/tables/exporting-tables/programmatic.md) and [REST API](/api/rest-api/general-structure.md) allow you to interact with and build upon Redivis data in the tools that are familiar and best suited to your use case.

{% hint style="info" %}
Dataset owners have the ability to define [export restrictions](/reference/data-access/usage-rules.md#data-exports) on their datasets, which constrain the allowed export destinations, and can limit the size of exports or enforce specific administrator approval before exports can happen.

These restrictions are enforced whenever you are exporting data through an external tool, and may limit how you can export some of the more restricted datasets on Redivis. In some cases, you may be able to [request export approval](/reference/data-access/usage-rules.md#requesting-export-approval) to allow the export of an otherwise restricted table.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/reference/tables/exporting-tables.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
